Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1397477 - Wacom touchpad ignores tap to click setting with Xorg 1.19
Summary: Wacom touchpad ignores tap to click setting with Xorg 1.19
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 15:53 UTC by makruiten
Modified: 2016-12-01 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 15:56:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
xinput list-props for all Wacom devices under Xorg 1.18 and 1.19 (deleted)
2016-11-23 09:20 UTC, makruiten
no flags Details

Description makruiten 2016-11-22 15:53:29 UTC
Description of problem:
With Xorg 1.18, my Wacom touchpad honors the tap to click setting of the mouse and touchpad settings menu, but with Xorg 1.19 it doesn't.

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom.x86_64 version 0.33.0-2.20160929gitb61d1711.fc25
xorg-x11-server-Xorg version 1.19.0-0.2.20160929.fc25

How reproducible:
100%

Steps to Reproduce:
1. Disable tap to click in settings
2. Enable Wacom touchpad (available on some models)
3. Wacom ignores setting and clicks on tap

Actual results:
Wacom ignores setting and clicks on tap.

Expected results:
Wacom honors tap to click setting like it was before (Xorg 1.18).

Additional info:
My current workaround is downgrading Xorg and its dependencies to the Fedora 24 version, which work as expected.

Comment 1 Peter Hutterer 2016-11-23 00:24:14 UTC
attach the output of xinput list-props "... device name..." for both X servers please. that should tell us more

Comment 2 makruiten 2016-11-23 09:20:59 UTC
Created attachment 1223080 [details]
xinput list-props for all Wacom devices under Xorg 1.18 and 1.19

One of the devices is renamed from "Wacom Intuos PT M Finger" to "Wacom Intuos PT M Finger touch". Probably doesn't have anything to do with it, but just to be complete. I included the outputs for all Wacom devices.

Comment 3 makruiten 2016-11-23 13:07:24 UTC
In the old one there is "libinput Tapping Enabled (300): 0", in the new one there is no such line. 

PS: Also please note that I filed another bug with ID 1394489 that is assigned to the wrong person, as I initially selected the wrong component ID. You are probably already aware of it, but just to be sure.

Comment 4 Fedora Update System 2016-11-25 01:05:25 UTC
xorg-x11-drv-libinput-0.22.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3daf3165c3

Comment 5 Fedora Update System 2016-11-27 22:58:38 UTC
xorg-x11-drv-libinput-0.22.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3daf3165c3

Comment 6 Fedora Update System 2016-12-01 15:56:28 UTC
xorg-x11-drv-libinput-0.22.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.